%define	name	gtodo	
%define	version	0.14
%define	release	5mdk
%define	summary	TODO List manager for Gnome 2

Summary:	%summary
Name:		%name
Version:	%version
Release:	%release
License:	GPL
Group:		Office
URL:		http://gtodo.qballcow.nl/
Source0:	%{name}-%{version}.tar.bz2
Source1:	%name.icon.tar.bz2
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-buildroot

BuildRequires:	gettext libxml2-devel gtk+2-devel libGConf2-devel perl-XML-Parser
BuildRequires:	gnome-vfs2-devel

%description
Gtodo is a Gtk+-2.0 Todo list manager written for use with gnome 2.
It tries to follow the hig and gnome policy as good as possible.

%prep
%setup -q 
%setup -q -a1 

%build
%configure2_5x
%make

%install
rm -rf ${RPM_BUILD_ROOT}
GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1 %makeinstall_std

%find_lang %name

mkdir -p %buildroot/%_menudir
cat > %buildroot/%_menudir/%name << EOF

?package(%name): \
        command="%_bindir/%name" \
        needs="X11" \
        section="Office/Tasks Management" \
        icon="%name.png" \
        title="GTodo" \
        longtitle="%summary"
EOF

%__install -D -m 644 %{name}48.png %buildroot/%_liconsdir/%name.png
%__install -D -m 644 %{name}32.png %buildroot/%_iconsdir/%name.png
%__install -D -m 644 %{name}16.png %buildroot/%_miconsdir/%name.png

%post
%update_menus
GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source` gconftool-2 --makefile-install-rule %{_sysconfdir}/gconf/schemas/%{name}.schemas > /dev/null

%preun
if [ "$1" = "0" ] ; then
 GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source` gconftool-2 --makefile-uninstall-rule %{_sysconfdir}/gconf/schemas/%{name}.schemas > /dev/null
fi

%postun
%clean_menus

%clean
rm -rf %buildroot

%files -f gtodo.lang
%defattr(-,root,root)
%doc AUTHORS ChangeLog COPYING NEWS README

%{_bindir}/*
%{_datadir}/applications/%name.desktop
%{_menudir}/%name
%{_iconsdir}/*/%name.png
%{_iconsdir}/%name.png
%{_datadir}/pixmaps/*.png
%{_sysconfdir}/gconf/schemas/*

%changelog
* Sun Jan 16 2005 Pascal Terjan <pterjan@mandrake.org> 0.14-5mdk
- fix BuildRequires

* Sun Aug 29 2004 Jerome Soyer <saispo@mandrake.org> 0.14-4mdk
- fix BuildRequires

* Wed Aug 11 2004 Pascal Terjan <pterjan@mandrake.org> 0.14-3mdk
- fix menu section

* Wed Apr 28 2004 Pascal Terjan <pterjan@mandrake.org> 0.14-2mdk
- cleanup (thanks fcrozat for the tip)

* Thu Apr 22 2004 Pascal Terjan <pterjan@mandrake.org> 0.14-1mdk
- 0.14

* Sat Jan 31 2004 Pascal Terjan <pterjan@mandrake.org> 0.13.5-1mdk
- First Package
